Home
Release Notes
Home
Release Notes
Linkedin
  1. Services
  • Baladâ„¢ Gateway Documentation đŸ“–
  • Get Started
  • Authorization
  • Responses
  • Go Live!
  • FAQs
  • APIs
    • Authentication
      • Token
    • Core
      • Exchange rate
        • Exchange Rates
      • Balance
        • Get Current Balance
      • Secrets
        • Generate Secret
        • Delete Secret
        • Get Secrets
    • Link
      • Sandbox Testing Guide
      • Error Codes
      • Transaction Lifecycle V2
      • Lookups
        • Purposes List
        • Sources List
        • Banks List
        • Relations
      • Transactions
        • Create transaction
        • Update transaction
        • Cancel transaction
        • Get transaction status V2
        • Transactions List
        • Export Transactions List
        • Validate Account
        • Request Sender Document Upload URL
      • Reconciliation
        • Reconciliation
      • Quotations
        • Create Quotation
    • Bills
      • Services
        • Categories
          GET
        • Providers
          GET
        • Services
          GET
        • Service Configurations
          GET
        • available currencies
          GET
      • Payments
        • Inquiry
        • Fees
        • Confirm Payment
        • Bill Payment List
  • Webhooks
    • Link.Transaction.StatusUpdateV2
  1. Services

Providers

GET
/bills/providers
The "Get Providers" API retrieves a list of service providers based on the specified Category ID. This API allows users to access information about service providers associated with specific categories.
This information can then be used to populate dropdowns or lists within applications, enabling users to select suitable service providers for bill payment transactions.
Request Params
SI NoParameterLengthTypeMandatoryRemarks
1category_id1StringYUnique identifier of the category
can be retreived from the Get Categories endpoint
Response Params
SI NoParameterRemarks
1provider_idUnique identifier for each service provider
2category_idUnique identifier for each category
3provider_nameName of the service provider

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://gateway-sandbox.balad.tech/bills/providers?category_id=X' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'

Responses

đŸŸ¢200Success
application/json
Bodyapplication/json

Example
{
    "data": [
        {
            "provider_id": 100,
            "category_id": 1,
            "provider_name": "We",
            "logo_url": "https://files.balad.tech/100.png"
        },
        {
            "provider_id": 101,
            "category_id": 1,
            "provider_name": "Orange",
            "logo_url": "https://files.balad.tech/101.png"
        },
        {
            "provider_id": 102,
            "category_id": 1,
            "provider_name": "Etisalat",
            "logo_url": "https://files.balad.tech/102.png"
        },
        {
            "provider_id": 103,
            "category_id": 1,
            "provider_name": "Vodafone",
            "logo_url": "https://files.balad.tech/103.png"
        }
    ],
    "errors": null
}
Previous
Categories
Next
Services
Built with